Subject: bug#20084: comint-highlight-prompt overrides ANSI colors in 24.4

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 Mar 2015 10:24:19 -0400

> * lisp/font-lock.el (remove-single-text-property): Uncomment.
> Hack it a bit.

Please add a "font-lock--" prefix to it, or move it to comint.el and add
a "comint--" prefix to it.  We could also move it to something more
generic but its name should include "-face-" since its behavior is
specific to the way `face' properties are merged.

        Stefan